//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef _DATACMDFRAME_
#define _DATACMDFRAME_

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class FW_CLASS_ATTR CDataCmdPart;

//=======================================================================
class FW_CLASS_ATTR CDataCmdFrame : public FW_CFrame {
public:
						CDataCmdFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CDataCmdPart* datacmdPart);
	virtual 			~CDataCmdFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
private:
	CDataCmdPart*			fDataCmdPart;
};

//=======================================================================
#endif
