//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//==========================================================================
#ifndef PIZZA_H
#include "Pizza.h"				//  CPizza
#endif

#ifndef FWBARRAY_H
#include "FWBArray.h"
#endif

// OpenDoc Includes
#ifndef SOM_ODBaseShape_xh
#include <Shape.xh>
#endif

#ifndef SOM_ODStorageUnitView_xh
#include <SUView.xh>
#endif

// ----- OSLayer Includes -----
#ifndef FWOVLSHP_H
#include "FWOvlShp.h"			// FW_COvalShape
#endif

//==========================================================================
CPizza::CPizza(FW_CRect bounds)
 :	fBounds(bounds)
{
}

//--------------------------------------------------------------------------
CPizza::~CPizza()
{
}

//--------------------------------------------------------------------------
void	
CPizza::Draw(FW_CGraphicContext& gc)
{
	FW_COvalShape::RenderOval(gc, fBounds, FW_kFill, FW_kRGBYellow);
	FW_COvalShape::RenderOval(gc, fBounds, FW_kFrame);
}

//--------------------------------------------------------------------------
FW_CRect	
CPizza::GetBounds()
{
	return fBounds;
}
