//	Copyright:	 1995 by Apple Computer, Inc., All rights reserved.
//	Release Version:	$ 1.0d11 $

#ifndef DATACMDDEF_H
#define DATACMDDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

//===================================================
// Kind
#define kDataCmdKind "+//ISO 9070/ANSI::113722::US::CI LABS::DevUniv:Kind:DataCmd"

// Category
#define kDataCmdCategory "DevUniv:Category:DataCmd"

// Class ID
#define kDataCmdEditor "DevUniv::DataCmd"

// Editor User String
#define kDataCmdEditorUserString "DataCmd 1.0"

// Kind User String
#define kDataCmdKindUserString "DataCmd"

// Category User String
#define kDataCmdCategoryUserString "None"

// DataCmd OSType
#define kDataCmdOSType 'DFMK'

#define kNMAPid						127
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

//===================================================
// Menus
#define kDataCmdMenu 5

// Strings
#define kDataCmdStringsResID 			1000
	#define kDataCmdMenuString 			1
		#define kGreetingItemString 	2
		#define kGoodbyeItemString 		3
		#define kTestItemString 		4

#define kGreetingString 5
#define kGoodbyeString 6
#define kMacString 7
#define kWinString 8

#ifdef FW_BUILD_MAC
#define kPlatformString 	kMacString
#endif
#ifdef FW_BUILD_WIN
#define kPlatformString 	kWinString
#endif

#define kAboutBoxStringsResID 		1001
	#define kAboutMenuString 		1
	#define kDataCmdPartString 		2
	#define kCreditString 			3

// About box Alert ID
#define kDataCmdAboutBoxID  5000

// PICT ID
#define kODFpictResID  		2000

// Icon ID
#define kPartIconID		129		// [HLX] new

//===================================================
#endif

