//	Copyright  1995 Apple Computer. All rights reserved.
//	Release Version:	$ 1.0d11 $

#ifndef PIZZACOMMAND_H
#define PIZZACOMMAND_H

//==========================================================
#ifndef FWCMD_H
#include "FWCmd.h"			// FW_CCommand
#endif

//==========================================================
class FW_CLASS_ATTR CDataCmdPart;

//==========================================================
class FW_CLASS_ATTR CPizzaCommand : public FW_CCommand
{
public:
	FW_DECLARE_CLASS
					CPizzaCommand(Environment* ev, 
									ODCommandID id,
									CDataCmdPart* part,
									FW_CFrame* frame,
									FW_CPoint position);
	virtual 		~CPizzaCommand();
protected:
	// overrides
	virtual void 	DoIt(Environment* ev);
	virtual void 	UndoIt(Environment* ev);
	virtual void 	RedoIt(Environment* ev);
private:
	CDataCmdPart*	fDataCmdPart;
	FW_CPoint		fPosition;
};

//==========================================================
#endif