//	File:		DataCmdStrs.fr
//
//	Contains:	Common (Platform independent) resources for DataCmd part
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"		// [HLX]
#endif

#ifndef DATACMDDEF_H
#include "DataCmdDef.h"
#endif

//----------------------------------------------------------------------------
//	Strings for DataCmd Menu
//----------------------------------------------------------------------------
// resource MULTISTRING (kDataCmdStringsResID) [HLX]
resource FW_kMULTISTRING (kDataCmdStringsResID)
{
	// DataCmd menu
	kDataCmdMenuString, 	"DataCmdMenu";
	// menu items
	kGreetingItemString,	"Greetings";
	kGoodbyeItemString,		"Goodbye";
	kTestItemString,		"Test Command";
	// drawn by frame
	kGreetingString,		"Greetings, ";
	kGoodbyeString,			"Goodbye, ";
	kMacString,				"Macintosh";
	kWinString,				"Windows";
}

//----------------------------------------------------------------------------
//	Strings for About box
//----------------------------------------------------------------------------
// resource MULTISTRING (kAboutBoxStringsResID) [HLX]
resource FW_kMULTISTRING (kAboutBoxStringsResID)
{
    kAboutMenuString,	"About DataCmd...";
	kDataCmdPartString,	"DataCmd Part";
	kCreditString,		"Simple DataCmd Part";
}
